"<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n"
"\n"
"<!-- Example XML document -->\n"
"<coupling\n"
"	xmlns=\"http://www.w3schools.com\"\n"
"	xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\"\n"
"	xsi:schemaLocation=\"http://www.w3schools.com coupling.xsd\">\n"
"	\n"
"	<redirect redirect_of_root=\"false\" redirect_stdout=\"false\"/>\n"
"\n"
"	<components>\n"
"		<component id=\"1\">\n"
"			<name>comp_1</name>\n"
"			<model>some_model...</model>\n"
"			<simulated>ocean</simulated>\n"
"			<transient_grid_refs>\n"
"				<transient_grid_ref id=\"1\"  transient_ref=\"1\"  grid_ref=\"1\" collection_size=\"1\"/>\n"
"				<transient_grid_ref id=\"2\"  transient_ref=\"2\"  grid_ref=\"1\" collection_size=\"1\"/>\n"
"				<transient_grid_ref id=\"3\"  transient_ref=\"3\"  grid_ref=\"1\" collection_size=\"1\"/>\n"
"				<transient_grid_ref id=\"4\"  transient_ref=\"5\"  grid_ref=\"1\" collection_size=\"1\"/>\n"
"			</transient_grid_refs>\n"
"		</component>\n"
"		<component id=\"2\">\n"
"			<name>comp_2</name>\n"
"			<model>some_model...</model>\n"
"			<simulated>ocean</simulated>\n"
"			<transient_grid_refs>\n"
"				<transient_grid_ref id=\"1\"  transient_ref=\"1\" grid_ref=\"2\" collection_size=\"1\"/>\n"
"				<transient_grid_ref id=\"2\"  transient_ref=\"3\" grid_ref=\"2\" collection_size=\"1\"/>\n"
"				<transient_grid_ref id=\"3\"  transient_ref=\"4\" grid_ref=\"2\" collection_size=\"1\"/>\n"
"				<transient_grid_ref id=\"4\"  transient_ref=\"6\" grid_ref=\"2\" collection_size=\"1\"/>\n"
"			</transient_grid_refs>\n"
"		</component>\n"
"		<component id=\"3\">\n"
"			<name>comp_3</name>\n"
"			<model>some_model...</model>\n"
"			<simulated>ocean</simulated>\n"
"			<transient_grid_refs>\n"
"				<transient_grid_ref id=\"1\"  transient_ref=\"2\" grid_ref=\"3\" collection_size=\"1\"/>\n"
"				<transient_grid_ref id=\"2\"  transient_ref=\"4\" grid_ref=\"3\" collection_size=\"1\"/>\n"
"				<transient_grid_ref id=\"3\"  transient_ref=\"5\" grid_ref=\"3\" collection_size=\"1\"/>\n"
"				<transient_grid_ref id=\"4\"  transient_ref=\"6\" grid_ref=\"3\" collection_size=\"1\"/>\n"
"			</transient_grid_refs>\n"
"		</component>\n"
"	</components>\n"
"\n"
"	<transients>\n"
"		<transient id=\"1\"  transient_standard_name=\"transient_from_1_to_2\" />\n"
"		<transient id=\"2\"  transient_standard_name=\"transient_from_1_to_3\" />\n"
"		<transient id=\"3\"  transient_standard_name=\"transient_from_2_to_1\" />\n"
"		<transient id=\"4\"  transient_standard_name=\"transient_from_2_to_3\" />\n"
"		<transient id=\"5\"  transient_standard_name=\"transient_from_3_to_1\" />\n"
"		<transient id=\"6\"  transient_standard_name=\"transient_from_3_to_2\" />\n"
"	</transients>\n"
"\n"
"	<grids>\n"
"		<grid id=\"1\"  alias_name=\"grid_1\" />\n"
"		<grid id=\"2\"  alias_name=\"grid_2\" />\n"
"		<grid id=\"3\"  alias_name=\"grid_3\" />\n"
"	</grids>\n"
"\n"
"	<dates>\n"
"		<start_date>2008-03-09T16:05:07</start_date>\n"
"		<end_date>2008-03-10T16:05:07</end_date>\n"
"		<calendar>proleptic-gregorian</calendar>\n"
"	</dates>\n"
"	<timestep_unit>second</timestep_unit>\n"
"\n"
"	<couples>\n"
"		<couple>\n"
"			<component1 component_id=\"1\" />\n"
"			<component2 component_id=\"2\" />\n"
"			<transient_couple transient_id=\"1\">\n"
"				<source component_ref=\"1\" transient_grid_ref=\"1\" />\n"
"				<target                   transient_grid_ref=\"1\" />\n"
"				<timestep>\n"
"					<source>10</source>\n"
"					<target>20</target>\n"
"					<coupling_period operation=\"accumulate\">60</coupling_period>\n"
"					<source_timelag>60</source_timelag>\n"
"					<target_timelag>60</target_timelag>\n"
"				</timestep>\n"
"				<mapping_on_source>%s</mapping_on_source>\n"
"				<interpolation_requirements>\n"
"					<interpolation method=\"fixed_value\" user_value=\"-1.0\"/>\n"
"				</interpolation_requirements>\n"
"				<enforce_write_weight_file filename=\"\">false</enforce_write_weight_file>\n"
"			</transient_couple>\n"
"			<transient_couple transient_id=\"3\">\n"
"				<source component_ref=\"2\" transient_grid_ref=\"2\" />\n"
"				<target                   transient_grid_ref=\"3\" />\n"
"				<timestep>\n"
"					<source>10</source>\n"
"					<target>20</target>\n"
"					<coupling_period operation=\"accumulate\">60</coupling_period>\n"
"					<source_timelag>60</source_timelag>\n"
"					<target_timelag>60</target_timelag>\n"
"				</timestep>\n"
"				<mapping_on_source>%s</mapping_on_source>\n"
"				<interpolation_requirements>\n"
"					<interpolation method=\"fixed_value\" user_value=\"-1.0\"/>\n"
"				</interpolation_requirements>\n"
"				<enforce_write_weight_file filename=\"\">false</enforce_write_weight_file>\n"
"			</transient_couple>\n"
"		</couple>\n"
"		<couple>\n"
"			<component1 component_id=\"1\" />\n"
"			<component2 component_id=\"3\" />\n"
"			<transient_couple transient_id=\"2\">\n"
"				<source component_ref=\"1\" transient_grid_ref=\"2\" />\n"
"				<target                   transient_grid_ref=\"1\" />\n"
"				<timestep>\n"
"					<source>10</source>\n"
"					<target>20</target>\n"
"					<coupling_period operation=\"accumulate\">60</coupling_period>\n"
"					<source_timelag>60</source_timelag>\n"
"					<target_timelag>60</target_timelag>\n"
"				</timestep>\n"
"				<mapping_on_source>%s</mapping_on_source>\n"
"				<interpolation_requirements>\n"
"					<interpolation method=\"fixed_value\" user_value=\"-1.0\"/>\n"
"				</interpolation_requirements>\n"
"				<enforce_write_weight_file filename=\"\">false</enforce_write_weight_file>\n"
"			</transient_couple>\n"
"			<transient_couple transient_id=\"5\">\n"
"				<source component_ref=\"2\" transient_grid_ref=\"3\" />\n"
"				<target                   transient_grid_ref=\"4\" />\n"
"				<timestep>\n"
"					<source>10</source>\n"
"					<target>20</target>\n"
"					<coupling_period operation=\"accumulate\">60</coupling_period>\n"
"					<source_timelag>60</source_timelag>\n"
"					<target_timelag>60</target_timelag>\n"
"				</timestep>\n"
"				<mapping_on_source>%s</mapping_on_source>\n"
"				<interpolation_requirements>\n"
"					<interpolation method=\"fixed_value\" user_value=\"-1.0\"/>\n"
"				</interpolation_requirements>\n"
"				<enforce_write_weight_file filename=\"\">false</enforce_write_weight_file>\n"
"			</transient_couple>\n"
"		</couple>\n"
"		<couple>\n"
"			<component1 component_id=\"2\" />\n"
"			<component2 component_id=\"3\" />\n"
"			<transient_couple transient_id=\"4\">\n"
"				<source component_ref=\"1\" transient_grid_ref=\"3\" />\n"
"				<target                   transient_grid_ref=\"2\" />\n"
"				<timestep>\n"
"					<source>10</source>\n"
"					<target>20</target>\n"
"					<coupling_period operation=\"accumulate\">60</coupling_period>\n"
"					<source_timelag>60</source_timelag>\n"
"					<target_timelag>60</target_timelag>\n"
"				</timestep>\n"
"				<mapping_on_source>%s</mapping_on_source>\n"
"				<interpolation_requirements>\n"
"					<interpolation method=\"fixed_value\" user_value=\"-1.0\"/>\n"
"				</interpolation_requirements>\n"
"				<enforce_write_weight_file filename=\"\">false</enforce_write_weight_file>\n"
"			</transient_couple>\n"
"			<transient_couple transient_id=\"6\">\n"
"				<source component_ref=\"2\" transient_grid_ref=\"4\" />\n"
"				<target                   transient_grid_ref=\"4\" />\n"
"				<timestep>\n"
"					<source>10</source>\n"
"					<target>20</target>\n"
"					<coupling_period operation=\"accumulate\">60</coupling_period>\n"
"					<source_timelag>60</source_timelag>\n"
"					<target_timelag>60</target_timelag>\n"
"				</timestep>\n"
"				<mapping_on_source>%s</mapping_on_source>\n"
"				<interpolation_requirements>\n"
"					<interpolation method=\"fixed_value\" user_value=\"-1.0\"/>\n"
"				</interpolation_requirements>\n"
"				<enforce_write_weight_file filename=\"\">false</enforce_write_weight_file>\n"
"			</transient_couple>\n"
"		</couple>\n"
"	</couples>\n"
"</coupling>\n"

